# Get Collections

### Get many collections

## Returns an array of collections

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/collection`

Takes any query and returns an array of collections that match that query

#### Query Parameters

| Name    | Type    | Description                                                                                                                   |
| ------- | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
| perPage | Integer | <p>The number of collections to return </p><p></p><p>(default: 24)</p>                                                        |
| page    | Integer | <p>The offset for returned collections. Calculated as (page - 1) \* perPage</p><p></p><p>(default: 1)</p>                     |
| sortBy  | String  | <p>The field to sort the collections by (any field in the collection schema may be used)</p><p></p><p>(default: mintDate)</p> |
| sortDir | String  | <p>Choose to sort in ascending (asc) or descending (desc) order</p><p></p><p>default: desc</p>                                |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "collections": [
    {
      "holders": 1,
      "volume_1d": 0,
      "volume_1w": 0,
      "volume_30d": 0,
      "volume_all": 0,
      "address": "0xc3a1e586467b5df2fcd37165662277c6cbf61f07",
      "name": "Altura Punks Loot Box Key",
      "description": "Introducing The Smart NFT Altura Punks available in 5 different rarity levels based on your Punks properties which reflect your in game attributes. View the properties below to see this Punks rarity & in game attributes. Please visit Alturapunks.com to see the breakdown of each rarity tier.",
      "genre": "Collection",
      "image": "",
      "imageHash": "",
      "ownerAddress": "0x6b62e0cb8bf669e07254ec1f4db1c3e0a96440c0",
      "slug": "altura-punks-key",
      "uri": "https://api.alturanft.com/meta/altura-punks-key/",
      "website": "",
      "chainId": 56,
      "mintDate": "2022-05-08T17:24:00.707Z"
    },
    ...
  ],
  "count": 989
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Example: get list of verified collections sorted by highest 1 month volume</summary>

/api/v2/collection?isVerified=true\&sortBy=volume\_30d

**Response**

```json
{
  "collections": [
    {
      "holders": 35,
      "volume_1d": 0,
      "volume_1w": 159.98863999999998,
      "volume_30d": 3399.90816,
      "volume_all": 3519.90816,
      "address": "0x19f6765ef99f731aa356ddc5e148aebba8f718f2",
      "name": "Metastrike INO",
      "description": "The INO for the MetaStrike Genesis NFTs comes with six different options for players including four NFT boxes of Uncommon, Silver, Gold and Diamond rarities. In addition, there is an uncommon knife box which holds two NFT knives and the option to purchase a silver metal to upgrade your weapons! The weapons will be claimed at our marketplace to holders. Get your weapons now so you are ready to play and earn. some NFT guns provide an estimate ROI as high as $1200 per week!",
      "genre": "Shooter",
      "image": "https://ipfs.io/ipfs/QmfRSzeAgM6XUyb6icB6ywvw8WTXjqNGDsbPWpDDnyKW7C",
      "imageHash": "QmfRSzeAgM6XUyb6icB6ywvw8WTXjqNGDsbPWpDDnyKW7C",
      "ownerAddress": "0x15df06dc9a4733a00040cbdc06b34dc53e67c8ff",
      "slug": "metastrike-ino",
      "uri": "https://api.alturanft.com/meta/metastrike-ino/",
      "website": "https://metastrike.io/",
      "mintDate": "2022-04-08T12:21:03.872Z",
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/undefined-0x19f6765ef99f731aa356ddc5e148aebba8f718f2_0e6b841b-0657-493d-adfe-f351b871d7c5.png",
      "chainId": 56
    },
    {
      "holders": 68,
      "volume_1d": 0,
      "volume_1w": 766.2651000000001,
      "volume_30d": 2002.8133,
      "volume_all": 8522.3746,
      "address": "0x576d19cd246241a48a307357b0efbfb1d8c393bf",
      "name": "Meta Arcade",
      "description": "Meta Arcade is an open block chain game ecosystem where anyone can earn money.  A space shooter made for the future our nfts are ready to do Battle to save the galaxy choose your ship and join the fight.",
      "genre": "Shooter",
      "image": "https://ipfs.io/ipfs/QmVoeJ235QKpcYZ1gH6oekmHWtwZ1pZfvMXA2eJvfWLKzx",
      "imageHash": "QmYmuYc3q3dhWpRKio6wZWSReJNoHkZKQQ3zkPqpL2tXg9",
      "ownerAddress": "0x0af28f88dfea40df857206b81a16b834beb97f16",
      "slug": "meta-arcade",
      "uri": "https://api.alturanft.com/meta/meta-arcade/",
      "website": "game.meta-arcade.net",
      "mintDate": "2021-12-16T17:02:30.652Z",
      "chainId": 56,
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0x576d19cd246241a48a307357b0efbfb1d8c393bf_ee3fd241-eebf-49ef-ad19-1b42ca7fb756.png"
    },
    ...
  ]
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-collections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
